
QGIS Application - Bug report #4297

Cmake file on MacOS is biased to use KyngChaos binaries regardless of user preferences

2011-09-20 08:17 AM - vince -

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14234

Description

The CMake configure file of QGis 1.7 has a lot of special blocks for the Apple platform that override any command line preferences when

they detect KyngChaos precompiled binaries. These blocks must be deleted in order for QGis to compile smoothly on other MacOS

environments (MacPorts, maybe Fink also).

Please add a dedicated switch to enable/disable use of those frameworks/binaries, rather than unconditionally enabling them and then

overriding user choices.

Thanks a lot!

History

#1 - 2011-12-09 08:34 AM - Paolo Cavallini

- Category set to Build/Install

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-01-20 11:08 AM - Larry Shaffer

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Operating System set to Mac OS X

- Assignee set to Larry Shaffer

I am looking into using CMake's new-ish BundleUtilites (docs, example) to update the Mac install scripts, with an emphasis on ensuring that any support

lib setup can be utilized, e.g. Homebrew, Macports, etc.

#6 - 2014-01-21 01:04 AM - Jürgen Fischer

- Subject changed from Cmake file on MacOS is biased to use KingChaos binaries regardless of user preferences to Cmake file on MacOS is biased to 

use KyngChaos binaries regardless of user preferences

#7 - 2015-12-04 04:07 AM - Médéric RIBREUX
http://www.cmake.org/cmake/help/v2.8.11/cmake.html#module:BundleUtilities
http://www.cmake.org/Wiki/BundleUtilitiesExample


- Status changed from Open to Feedback

Hello, bug triage...

are you still affected by this bug ? I think that there has been an heavy work on the Mac OS port of QGIS and it is not sure that the compilation process has

references to other binaries.

Can anyone confirm this bug can be closed now ?

#8 - 2015-12-04 04:32 AM - vince -

Yes. This one has been fixed all right–you can close it. However, I have another gripe with the current CMakeFile of QGis 2.12, but I suppose I should open

a new bug.

Thanks for the amount of work put in the successive releases. Good job guys!

#9 - 2015-12-04 10:50 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- % Done changed from 0 to 100
